//#include <avr/pgmspace.h>

#define SWIDTH 12					/* Width of the display (12LEDS) */
#define SHIGHT 10					/* High of the display (10LEDS) */

uint16_t leds[SWIDTH];              /* Display memory LED-Matrix */



#define MaxSRAMTextBuffer 12
uint8_t TextBuffer[MaxSRAMTextBuffer+1] = "\0" ; // Buffer for text in SRAM, max 12 charactes


typedef struct Ball_S  							// Curent position of the ball 
{
 	int16_t x;
	int16_t y;
} BallType;


#define PadDef B8(011)							/* Definition of a pad */
#define PadMask B16(00011111,11111100)				/* Cut max pad positions beyond screen */
#define PotiScale 75							/* Convert ADAC scale for Pad movement 1023/75 =~ 13 positions */
#define POTID 100								/* POTID time to calculate Poti dynamic; fix this in relation to the Timer TCCR0 initial it was 64, now it was decrease to 8 */
#define LPadCol 0								/* Fixed position for left pad */
#define RPadCol 11								/* Fixed position for right pad */
#define BALLSPD 100

#define GameOverCounter 3


#define Lev0 0		/* Pads for POTID ms not moved */
#define Lev1 32//100	/* Pads for POTID ms not moved for 100 */
#define Lev2 70//140	/* ... */
#define Lev3 128//300	/* ... */


